Update a Yes/No Intent - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Yes/No Intent
PATCH /v2.0/locales/{localeId}/yesnointents/{intentId}
Try it
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"rules": "[ci.text.includes(\"indeed\"), ci.text.includes(\"roger that\")]",
"isDisabled": true
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}"
payload = {
"rules": "[ci.text.includes(\"indeed\"), ci.text.includes(\"roger that\")]",
"isDisabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: '[ci.text.includes("indeed"), ci.text.includes("roger that")]',
isDisabled: true
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rules' => '[ci.text.includes("indeed"), ci.text.includes("roger that")]',
'isDisabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}"
payload := strings.NewReader("{\n \"rules\": \"[ci.text.includes(\\\"indeed\\\"), ci.text.includes(\\\"roger that\\\")]\",\n \"isDisabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
JSON Responses
Successful Response
{
"yesIntent": {
"isDisabled": true,
"name": "pizza",
"_id": "<string>",
"rules": [
"<string>"
]
},
"noIntent": {
"isDisabled": true,
"name": "pizza",
"_id": "<string>",
"rules": [
"<string>"
]
},
"rejectIntent": {
"isDisabled": true,
"name": "pizza",
"_id": "<string>",
"rules": [
"<string>"
]
}
}
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- APIKeyHeader: Supply the API Key in the HTTP-Header.
Headers
- Accept: The
Acceptheader specifies the media type that the client expects in the response.